# Reset all variables
rm(list=ls(all=TRUE))
  library(sfsmisc)

mtbs = read.csv("data/mtbs.csv", head=TRUE)

plot(Pct_low_svrty~Year, data=mtbs)
mtbs$low_S_ha = 0.404686*1000*mtbs$A_k_acre*mtbs$Pct_low_svrty/100

fit =  lm(mtbs$Pct_low_svrty~mtbs$Year)
fit2 = lm(mtbs$Pct_low_svrty~log10(mtbs$A_k_acre))
fit3 = lm(log10(mtbs$low_S_ha)~mtbs$Year)

y =seq(1980,2020,1)
pdf("figs/MTBS.pdf",height=5,width=3.5)
  par(oma=c(2,1,0.5,0.5), mar=c(1,2,0,0), cex=1, las=1)  
  m=matrix(1:2,ncol=1,byrow=FALSE); layout(m)

  plot(NA, xlim=c(1980,2020), ylim=c(25,90),axes=FALSE)
  lines(y, coef(fit)[1] + y*coef(fit)[2], lty=1)
  points(mtbs$Year,mtbs$Pct_low_svrty, pch=23, bg='gray50', type='p')

     box()
     eaxis(1,tck=0.02, cex.axis=1,mgp=c(3, .3, 0),f.smalltcl=-0.2, labels=FALSE)
     eaxis(2,tck=0.02, cex.axis=1,mgp=c(3, .3, 0),f.smalltcl=0,labels=TRUE)
     axis(4,tck=0.02, cex.axis=1,mgp=c(3, .3, 0),labels=FALSE)
     mtext('Low Severity Burn Area, %', side=2, outer=FALSE, line=1.7, cex=1, las=0)
     
     text(1985,30, 'p=0.38')
     text(0,3*0.97,'Shrubland', adj = c(0, 1))
     
  plot(NA, xlim=c(1980,2020), ylim=c(1000,1100000), axes = FALSE,log='y')
  lines(y, 10^(coef(fit3)[1] + y*coef(fit3)[2]), lty=1)
  points(mtbs$Year,mtbs$low_S_ha, pch=23, bg='gray50')
     text(2000,10000, 'p=0.001')
     box()
     eaxis(1,tck=0.02, cex.axis=1,mgp=c(3, .3, 0),f.smalltcl=-0.2)
     eaxis(2, tck=0.02, cex.axis=1,mgp=c(3, .3, 0),f.smalltcl=0,at =c(1000,10000,100000,1000000))
     mtext('Low Severity Burn Area, Ha', side=2, outer=FALSE, line=1.7, cex=1, las=0)
     mtext('Year', side=1, outer=TRUE, line=.7, cex=1)


  
dev.off()  


plot(mtbs$A_k_acre,mtbs$Pct_low_svrty, log='x')
plot(mtbs$Year, mtbs$low_S_ha, log='y')
