rm(list=ls(all=TRUE))
library(RColorBrewer)  
#library(sfsmisc)

         k.colors = brewer.pal(6,"Set1")  # Dark2


toc = read.csv("TOC_data.csv", head=TRUE)
f.toc=toc[toc$soil=='F',]
s.toc=toc[toc$soil=='D',]

# FIGURES ==============
labs = c('UB',6,10,30,100,expression(10^{-5}))
pdf("TOC.pdf",height=4,width=6)
  par(oma=c(2,1,0.5,0.5), mar=c(1,2,0,0), cex=1, las=1)  
  m=matrix(1:2,ncol=2,byrow=FALSE); layout(m)

  plot(NA, xlim=c(0.5,6.5), ylim=c(0,10),axes=FALSE)
  arrows(f.toc$S, f.toc$mean-f.toc$sd,f.toc$S, f.toc$mean+f.toc$sd,angle=90, length=0.02, code=3)
  points(f.toc$S, f.toc$mean, pch=22, bg='white')
     box()
     axis(1,tck=0.02, cex.axis=1,mgp=c(3, .3, 0),at=c(1:6), labels=labs, cex=0.5)
     axis(3,tck=0.02, cex.axis=1,mgp=c(3, .3, 0),labels=FALSE)
     axis(2,tck=0.02, cex.axis=1,mgp=c(3, .3, 0),labels=TRUE)
     axis(4,tck=0.02, cex.axis=1,mgp=c(3, .3, 0),labels=FALSE)
     mtext(expression(paste(Total~Organic~Carbon,', %')), side=2, line=1.7, las=0, outer=FALSE, cex=1)
     text(0.5,10,'Forest Soil', adj = c(0, 1))

  plot(NA, xlim=c(0.5,6.5), ylim=c(0,1),axes=FALSE)
  arrows(s.toc$S, s.toc$mean-s.toc$sd,s.toc$S, s.toc$mean+s.toc$sd,angle=90, length=0.02, code=3)
  points(s.toc$S, s.toc$mean, pch=22, bg='white')
  box()
     axis(1,tck=0.02, cex.axis=1,mgp=c(3, .3, 0),at=c(1:6), labels=labs)
     axis(3,tck=0.02, cex.axis=1,mgp=c(3, .3, 0),labels=FALSE)
     axis(2,tck=0.02, cex.axis=1,mgp=c(3, .3, 0),labels=TRUE)
     axis(4,tck=0.02, cex.axis=1,mgp=c(3, .3, 0),labels=FALSE)
     text(.5,1,'Shrubland Soil', adj = c(0, 1))
     #mtext(expression(paste(Pore~Pressure,', ',kPa)), side=2, line=1.7, las=0, outer=FALSE, cex=1)

     text(1,39, '(b)', cex=1.5)
     text(0,3*0.97,'Shrubland', adj = c(0, 1))
     mtext('Matric Potential (-kPa)', side=1, outer=TRUE, line=.7, cex=1)
     legend(500,2.5,c('6','10','30','100','air-dry'), col=k.colors, lty=1, lwd=2, bty='n',title=expression(paste(psi,', kPa')))

  
dev.off()  

